﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStrategy
{
	class Airplane : IVehicleCategory
	{
		private decimal _pricePerDay;
		private decimal _pricePerLend;

		public Airplane()
		{
			_pricePerDay = 490.9m;
			_pricePerLend = 10000;
		}

		public decimal GetPrice( TimeSpan duration )
		{
			return duration.Days * _pricePerDay + _pricePerLend;
		}

		public override string ToString()
		{
			return "Airplane";
		}
	}
}
