﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfStrategy
{
	public class Car : IVehicleCategory
	{
		private decimal _pricePerDay;

		public Car()
		{
			_pricePerDay = 12.5m;
		}

		public decimal GetPrice( TimeSpan duration )
		{
			return duration.Days * _pricePerDay;
		}

		public override string ToString()
		{
			return "Car";
		}
	}
}
